public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/typescript/
Date: Tue, 23 Jul 2024 23:12:18 +0000 (UTC)	[thread overview]
Message-ID: <1721776330.b427456e33d49e7ca4175a19cdd3712da2e12732.xgqt@gentoo> (raw)

commit:     b427456e33d49e7ca4175a19cdd3712da2e12732
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 23 21:58:08 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Jul 23 23:12:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b427456e

dev-lang/typescript: bump to 5.5.4

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/typescript/Manifest                |  1 +
 dev-lang/typescript/typescript-5.5.4.ebuild | 43 +++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-lang/typescript/Manifest b/dev-lang/typescript/Manifest
index e32ffbf06185..492f5bf80081 100644
--- a/dev-lang/typescript/Manifest
+++ b/dev-lang/typescript/Manifest
@@ -1,3 +1,4 @@
 DIST typescript-5.4.5.tgz 5825770 BLAKE2B aea24c0924b2a0b0d01face2ce6be4e7fac85c2205cb0ecde492c5301f83d55fd8cd501326bd47f90cd78abf48c7aaf0381b13fc8242f3d2f9235e6051860b2b SHA512 bdc23852946083cd68211505c11d164881cab75d6727b48056560d22ef90a6a7b25cffa0a50272fd9e3e174686c5213832ac23c97bd6fd3ce090b031d80187c1
 DIST typescript-5.5.2.tgz 4040998 BLAKE2B 3b1b8ea1c124c24b327111a69eaeaf470364090f3a613c5ead225d9a5502ad2473ea156d203ee73cae9a8ff470d21ddc5e729935a72560c2ffad18edff4b754d SHA512 35c46d3c43ac3c51568e86c912d7e28642c26425d9b7fa2cdf37fc9d3c63547dd1bd34b18eb09a989a5b1311af60e17eb451dcde903ae6aa5dc0f6f38e88617b
 DIST typescript-5.5.3.tgz 4041052 BLAKE2B e30ca285fdedfefc8ebac28310dc4d4834efefc9c25d36ca5be43c0ed81e91698b879565c47651402a90b16ba4d30895d00bcee5a752ad538b4d9f2e2327ad49 SHA512 fe1adec84ba3681d30efaccaa3aef5ee5dcbd28fea114b5181dbd406f96486859e39532332e1cd1e4d01441ce2933b860ea3663d06e0e627cc12ab072e221471
+DIST typescript-5.5.4.tgz 4043150 BLAKE2B 6171a4bafcb7d9dff4cd603846980bcfa599c4ee13d585760af572dc410a584f729485bc2aaf5cb5e3721d37b7cf8d4f54eaf9abda86eba04bf54b50ac80db9c SHA512 32dab6f6c28300460feda963460b4f3a94ef39f6f0456952e9d3d1cf08dd13e0b44786eb5ff194ca11d279c6c73052cd04b70920fb7d9e5f721b94d9d70787f9

diff --git a/dev-lang/typescript/typescript-5.5.4.ebuild b/dev-lang/typescript/typescript-5.5.4.ebuild
new file mode 100644
index 000000000000..242c85963aec
--- /dev/null
+++ b/dev-lang/typescript/typescript-5.5.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Superset of JavaScript with optional static typing, classes and interfaces"
+HOMEPAGE="https://www.typescriptlang.org/
+	https://github.com/microsoft/TypeScript/"
+SRC_URI="https://registry.npmjs.org/${PN}/-/${P}.tgz"
+S="${WORKDIR}/package"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+
+RDEPEND="
+	net-libs/nodejs
+"
+BDEPEND="
+	>=net-libs/nodejs-16[npm]
+"
+
+src_compile() {
+	# Skip, nothing to compile here.
+	:
+}
+
+src_install() {
+	local -a myopts=(
+		--audit false
+		--color false
+		--foreground-scripts
+		--global
+		--offline
+		--omit dev
+		--prefix "${ED}/usr"
+		--progress false
+		--verbose
+	)
+	npm "${myopts[@]}" install "${DISTDIR}/${P}.tgz" || die "npm install failed"
+
+	dodoc *.md *.txt
+}


             reply	other threads:[~2024-07-23 23:12 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-23 23:12 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-04  0:19 [gentoo-commits] repo/gentoo:master commit in: dev-lang/typescript/ Maciej Barć
2024-10-30 15:14 Sam James
2024-10-10  0:05 Maciej Barć
2024-09-11 23:30 Maciej Barć
2024-09-11 23:30 Maciej Barć
2024-09-11 23:30 Maciej Barć
2024-09-11 23:30 Maciej Barć
2024-08-24 13:12 Michał Górny
2024-08-01 16:47 Arthur Zamarin
2024-07-02  3:43 Maciej Barć
2024-06-21 23:00 Maciej Barć
2024-05-12 22:41 Sam James
2024-05-07  1:16 Sam James
2024-04-23  1:31 Sam James
2024-04-11  4:55 Arthur Zamarin
2024-04-11  1:38 Maciej Barć
2024-04-04 19:01 Maciej Barć
2024-03-20 21:02 Maciej Barć
2024-03-07 17:38 Maciej Barć
2024-03-07 17:38 Maciej Barć
2024-03-07 17:38 Maciej Barć
2024-01-08 21:10 Arthur Zamarin
2023-12-22  5:07 Sam James
2023-12-06 22:47 Maciej Barć
2023-11-20 20:27 Maciej Barć
2023-10-26 13:13 Maciej Barć
2023-09-25 12:13 Arthur Zamarin
2023-08-25 21:21 Maciej Barć
2023-08-25 21:21 Maciej Barć
2023-08-25 21:21 Maciej Barć
2023-08-03 15:10 Sam James
2023-07-07 22:54 Sam James
2023-06-30 19:08 Maciej Barć
2023-06-30 19:08 Maciej Barć
2023-06-28  1:12 Maciej Barć
2023-06-28  1:12 Maciej Barć
2023-06-01 22:14 Maciej Barć
2023-06-01 22:14 Maciej Barć
2023-06-01 22:14 Maciej Barć
2023-05-19 17:45 Sam James
2023-05-05 13:43 Arthur Zamarin
2023-04-17  0:51 Sam James
2023-04-07 21:22 Maciej Barć
2023-04-03  1:56 Maciej Barć
2023-04-03  1:56 Maciej Barć
2023-04-03  1:56 Maciej Barć
2023-03-16 23:37 Maciej Barć
2023-03-04  6:17 Arthur Zamarin
2023-01-31 17:54 Maciej Barć
2023-01-31 17:54 Maciej Barć
2023-01-24 23:55 Sam James
2023-01-21 16:53 Sam James
2022-12-08 10:11 Maciej Barć
2022-12-08 10:11 Maciej Barć
2022-11-17 22:43 Maciej Barć
2022-11-17 22:43 Maciej Barć
2022-09-30  2:09 Maciej Barć
2022-09-22 13:18 Maciej Barć
2022-09-22 13:18 Maciej Barć
2022-09-22  5:02 Georgy Yakovlev
2022-09-22  4:50 Georgy Yakovlev
2022-01-08  8:26 Georgy Yakovlev
2021-12-22 21:17 Georgy Yakovlev
2021-07-03 20:30 Georgy Yakovlev
2021-07-03 20:30 Georgy Yakovlev
2021-06-19  1:07 Georgy Yakovlev
2021-06-18 21:56 Georgy Yakovlev
2021-06-04  7:28 Georgy Yakovlev
2021-06-04  5:03 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1721776330.b427456e33d49e7ca4175a19cdd3712da2e12732.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox